output "ip_internes" {
  value = {
    frontend = google_compute_instance.vm_frontend.network_interface[0].network_ip
    backend  = google_compute_instance.vm_backend.network_interface[0].network_ip
    database = google_compute_instance.vm_database.network_interface[0].network_ip
  }
}

output "ip_public_frontend" {
  value = google_compute_instance.vm_frontend.network_interface[0].access_config[0].nat_ip
}

output "nom_instances" {
  value = {
    frontend = google_compute_instance.vm_frontend.name
    backend = google_compute_instance.vm_backend.name
    database = google_compute_instance.vm_database.name
  }
}